c        
c             ----------------------------------------------- 
c             Parameters/Variables for post-retrievals: merge
c
c                                 --- M. Fan (PSGS), Feb 2009
c             -----------------------------------------------
c
c  -- Satellite related variables --


      INTEGER           numSat
      PARAMETER         (numSat=5)

      INTEGER        numCol(numSat)
      INTEGER        numRow(numSat)

      CHARACTER*10   satNam(numSat)

      CHARACTER*80   sstOld1h(numSat)
      CHARACTER*80   sstOld3h(numSat)
      CHARACTER*80   sstOld24h(numSat)
      CHARACTER*80   sstNew1h(numSat)
      CHARACTER*80   sstNew3h(numSat)
      CHARACTER*80   sstNew24h(numSat)

      REAL	     topLat(numSat)
      REAL           leftLon(numSat)   ! -- top_lat, left_lon
      REAL           intLat(numSat)
      REAL           intLon(numSat)    ! -- dlat, dlon

      INTEGER        regStartNum(numSat)  ! -- quad_start
      INTEGER        regIncNum(numSat)    ! -- quad_inc
      INTEGER        regMaxNum(numSat)    ! -- quad_max

      INTEGER        numImageHourly(numSat)         ! -- number of images per hour

      INTEGER        areaSST_start(numSat)  !  first sst image = quad * areaSST_inc + areaSST_start 
      INTEGER        areaSST_inc(numSat)
      INTEGER        areaPCLR_start(numSat)
      INTEGER        areaPCLR_inc(numSat)
     
      INTEGER        min_tWindow(numSat)   ! -- time window (hhmmss+min_tWindow, hhmmss+max_tWindow)
      INTEGER        max_tWindow(numSat)   !    hhmmss should be specified 

c  -- Region related variables 
      INTEGER		numReg
      PARAMETER        (numReg=6)

c     Quadrant bounds (GWN data east of 105 exists but are not used)
c               GEN:   20S-60N, 115W- 30W; GWN:  0 -60N, 180W-105W
c               GES:   18S-45S, 115W- 30W; GWS:  2N-45S, 180W-105W
c               MTSAT: 60N-45S,  80E-180E;   -- changed to 
c               MTSAT: 60N-60S,  80E-180E;   
c:              MSG:   60N-60S,  60W- 0E
      INTEGER         beg_row(numReg)
      INTEGER         end_row(numReg)
      INTEGER         beg_col(numReg)
      INTEGER         end_col(numReg)


c---------------------------------------------------------------------------------------
c     data satNam    / 'E',        'W',        'goes',    'mtsat',        'msg'       /
c     data numCol    / 3000,        3000,       3000,      2000,           2400       /
c     data numRow    / 2100,        2100,       2100,      2400,           2400       /
c     data sstOld1h  / 'sst1oE_',  'sst1oW_',  'sst1o_',  'sst1o_mtsat',  'sst1o_msg' /
c     data sstNew1h  / 'sst1bE_',  'sst1bW_',  'sst1b_',  'sst1b_mtsat',  'sst1b_msg' /
c     data sstOld3h  / 'sst3oE_',  'sst3oW_',  'sst3o_',  'sst3o_mtsat',  'sst3o_msg' /
c     data sstNew3h  / 'sst3bE_',  'sst3bW_',  'sst3b_',  'sst3b_mtsat',  'sst3b_msg' /
c     data sstOld24h / 'sst24oE_', 'sst24oW_', 'sst24o_', 'sst24o_mtsat', 'sst24o_msg'/
c     data sstNew24h / 'sst24bE_', 'sst24bW_', 'sst24b_', 'sst24b_mtsat', 'sst24b_msg'/
c     data topLat    /     60.025,     60.025,    60.025,         60.025,      60.025 /
c     data leftLon   /    180.025,    180.025,   180.025,        -79.975,      60.025 /
c     data intLat    /       0.05,       0.05,      0.05,           0.05,        0.05 /
c     data intLon    /       0.05,       0.05,      0.05,           0.05,        0.05 /

c -- name
      data satNam    / 'E',      'W',       'goes',   'mtsat',   'msg' /

c -- num of column and row
      data numCol    / 3000,      3000,      3000,     2000,      2400 / 
      data numRow    / 2100,      2100,      2100,     2400,      2400 /

c -- product names
      data sstOld1h  / 'sst1o_goesE_', 'sst1o_goesW_', 'sst1o_goes_',
     +                    'sst1o_mtsat_', 'sst1o_msg_' /
      data sstNew1h  / 'sst1b_goesE_', 'sst1b_goesW_', 'sst1b_goes_',
     +                    'sst1b_mtsat_', 'sst1b_msg_' /
      data sstOld3h  / 'sst3o_goesE_', 'sst3o_goesW_', 'sst3o_goes_',
     +                    'sst3o_mtsat_', 'sst3o_msg_' /
      data sstNew3h  / 'sst3b_goesE_', 'sst3b_goesW_', 'sst3b_goes_',
     +                    'sst3b_mtsat_', 'sst3b_msg_' /
      data sstOld24h / 'sst24o_goesE_','sst24o_goesW_','sst24o_goes_',
     +                   'sst24o_mtsat_','sst24o_msg_' /
      data sstNew24h / 'sst24b_goesE_','sst24b_goesW_','sst24b_goes_',
     +                   'sst24b_mtsat_','sst24b_msg_' /
c -- top_lat, left_lon
      data topLat      / 60.025,  60.025,  60.025,  60.025,  60.025 /
      data leftLon     / 180.025, 180.025, 180.025, -79.975, 60.025/
 
c -- dlat, dlon
      data intLat      /    0.05,    0.05,    0.05,    0.05,   0.05 /
      data intLon      /    0.05,    0.05,    0.05,    0.05,   0.05 /

c --  region number (quad)
      data regStartNum /       1,       2,       1,       5,      6 /
      data regIncNum   /       2,       2,       1,       1,      1 /
      data regMaxNum   /       3,       4,       4,       5,      6 /

c -- number of images per hour
      data numImageHourly /      3,       3,       3,       1,      4 /

c -- SST and PCLR AREA 
c -- MSG:   8186-8189 and 7186-7189 (quad=6)
c -- MTSAT: 8162 and 7162  (quad=5)    
c -- GE:    8540-8542, 8740-8742 and 7540-7542, 7740-7742  (quad=1,3)
c -- GW:    8640-8642, 8840-8842 and 7640-7642, 7840-7842  (quad=2,4)
c -- first image for sst is : quad*areaSST_inc + areaSST_start
      data areaSST_start /    8440,    8440,    8440,    8162,   8186 /
      data areaSST_inc   /     100,     100,     100,       0,      0 /  
      data areaPCLR_start /    7440,    7440,    7440,    7162,   7186 /
      data areaPCLR_inc   /     100,     100,     100,       0,      0 /

c -- time window increment
c                             1 hour,   1 hr,     1hr,     1hr, 35/25min
      data min_tWindow    /  -10000,  -10000,  -10000,  -10000,  -3500 /
      data max_tWindow    /  +10000,  +10000,  +10000,  +10000,  +2500 /
     


c--------------------------------------------------------------------------------------
c                                 GEN,  GWN,   GES,  GWS, MTSAT, MSG
c       data            beg_row /    1,    1, 1560, 1160,    1,    1/
c       data            end_row / 1600, 1200, nrow, nrow, nrow, nrow/
c       data            beg_col / 1201,    1, 1201,    1,    1,    1/
c       data            end_col / ncol, 1500, ncol, 1500, ncol, ncol/

c -- begin/end of row/column for each region 
c                     GEN,  GWN,   GES,   GWS, MTSAT,  MSG
      data beg_row /    1,    1,  1560,  1160,     1,    1 /
      data end_row / 1600, 1200,  2100,  2100,  2400, 2400 /
      data beg_col / 1201,    1,  1201,     1,     1,    1 /
      data end_col / 3000, 1500,  3000,  1500,  2000, 2400 /



