c**********************************************************************
        subroutine  icount2pclear( icount, pclear, ier, iver )
c
c       (explanation)
        implicit none

        integer*1  icount    ! input
        real*8       pclear    ! output
        integer    ier       ! output
        integer    iver      ! output
        integer    jcount    ! local
	real	   const
	parameter (const=40.546121)
c
        ier=0
        if (iver.gt.1)  then
           ier=1
           pclear=-1.0
           goto 99
        endif
        jcount = mod(icount+256, 256)
        pclear = 1.002 - exp(float(2 - jcount)/const)
        if (jcount .le. 6)   pclear = 0.0
  99    return
        end
c**********************************************************************
        subroutine  pclear2icount( pclear, icount, ier, iver )

c Pclear(%) >= 99.999  99.99  99.9  99.5   99   98   95  90  80  50  10
c Count     >=  254     252   238    203  181  157  122  95  67  30   6
c      


c       (explanation)
        implicit none
        real*8       pclear    ! input
c       integer*1  icount    ! output
        integer    icount    ! output
        integer    ier       ! output
        integer    iver      ! output
        integer    jcount    ! local
	real	   const
	parameter (const=40.546121)

        ier=0
        if (iver.gt.1)  then
           ier=1
           goto 99
        endif
        if (pclear .lt. 0.0 .or. pclear .gt. 1.001 ) then
           icount=255
           ier=2
           goto 99
        endif
        jcount = nint(2. - const*alog(1.002 - pclear))
        icount = jcount
  99    return
        end

c**********************************************************************

        subroutine  icount2sst( icount, sst, ier, iver )
c
c       (explanation)
        implicit none

        integer*1  icount    ! input
        real       sst       ! output
        integer    ier       ! output
        integer    iver      ! output
c
        ier=0
        if (iver.gt.1)  then
           ier=1
           goto 99
        endif
        if ( icount .gt. 6 ) then
           sst = 270.0 + 0.15 * float( icount )
        else
           sst = float(icount)
        endif
  99    return
        end
c**********************************************************************
        subroutine  sst2icount( sst, icount, ier, iver )

c       convert sst to counts
c       formula -  count = (sst-270)/0.15
c             mincount=7  (1-6 reserved for flags); maxcount=254
        implicit none
        real       sst       ! input
        integer*1  icount    ! output
        integer    ier       ! output
        integer    iver      ! output
        integer    jcount    ! local

        ier=0
        icount=255
        if (iver.gt.1)  then
           ier=1
           goto 99
        endif
        if (sst .ge. 270.0) then
        	jcount = nint(  (sst - 270.0) / 0.15 )
        	icount = max(7,min(  254, jcount ))
 	else if ( -0.5 .lt. sst  .and.  sst .lt. 6.5) then
        	icount = nint(sst)
 	else 
        	icount = 255
	end if 

        
  99    return
        end
c**********************************************************************

c**********************************************************************
        subroutine unscale_SST_PCLR(n, sst1, pclr1, sst, pclr)
c
c    Subroutine used for SST and Pclr unscaling
c    Input: n, sst1, pclr1
c    Output: sst, pclr
c
c    integer*1  n, sst1(*), pclr1(*)
c    real      sst(*), pclr(*)
c**************************************************************
c
	implicit	none
	integer		i, n, iver, ier
	real            sst(*), pclr(*)
	integer*1       sst1(*), pclr1(*),icount1
	integer*2       sst2, pclr2
c     
        do i=1,n
c*******convert interger*1 from (-127 to 128) => (0 to 255)
	    sst2  = mod( sst1(i)+256, 256)
	    pclr2 = mod( pclr1(i)+256, 256)

	    if(sst2 .GT. 6) then
		sst(i) = 270.0 + 0.15 * float(sst2)
		icount1 = pclr2
        	call icount2pclear( icount1, pclr(i), ier, iver )
	    else
		sst(i) = sst1(i)
		pclr(i) = 0
	    endif
        enddo
 
	return
	end
 
c*******************************************************
        subroutine scale_SST_PCLR(n,sst, pclr, isst, ipclr)
c
c**************************************************************
c     Subroutine used for SST and Pclr scaling & encoding to interger*1
c     Input: n, sst, pclr
c     Output: isst, ipclr
c
c     real      sst(*), pclr(*)
c     integer*1 isst(*), ipclr(*)
c**************************************************************
c
	implicit	none
	integer		n, iver, ier
	integer*1 	isst(*), ipclr(*), icount1
	real      	sst(*), pclr(*)
	integer		i, icount4
c     
        do i=1,n
	    if( (sst(i) .GT. 270.).AND.(pclr(i).LT.1.001) ) then
		isst(i) = NINT( (sst(i) - 270.0) / 0.15 )
        	call pclear2icount( pclr(i), icount4, ier, iver )
        	ipclr(i) = icount4
	    else
	        isst(i) = nint(sst(i))
	        ipclr(i) = nint(pclr(i))
	    endif
        enddo
 
	return
	end
c
c*****************************************************************************



